Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » [ANN] RAP 3.14 released
[ANN] RAP 3.14 released [message #1832336] Wed, 16 September 2020 14:30 Go to next message
Ivan Furnadjiev is currently offline Ivan FurnadjievFriend
Messages: 2426
Registered: July 2009
Location: Sofia, Bulgaria
Senior Member
Dear all,
With the release of Eclipse 2020-09, we are proud to announce that RAP 3.14 is released and available for download [1]. This release includes Clipboard support, Nebula Grid row headers and some bug fixes.

[1] http://eclipse.org/rap/downloads/
[2] http://www.eclipse.org/rap/noteworthy/3.14/

Regards,
RAP Team
Re: [ANN] RAP 3.14 released [message #1832454 is a reply to message #1832336] Fri, 18 September 2020 10:07 Go to previous messageGo to next message
Jean-Pascal Laux is currently offline Jean-Pascal LauxFriend
Messages: 81
Registered: December 2011
Member
i have installed a fresh version of Eclipse 2020-09 : eclipse-rcp-2020-09-R-win32-x86_64.zip

I have tried to install RAP e4 components and I have goe an error :

Cannot complete the install because some dependencies are not satisfiable
Software being installed: RAP E4 SDK 3.14.0.20200824-1150 (org.eclipse.rap.e4.sdk.feature.feature.group 3.14.0.20200824-1150)
Software currently installed: SWTBot for Eclipse Testing 3.0.0.202006031738 (org.eclipse.swtbot.eclipse.feature.group 3.0.0.202006031738)
Cannot satisfy dependency:
From: RAP E4 SDK 3.14.0.20200824-1150 (org.eclipse.rap.e4.sdk.feature.feature.group 3.14.0.20200824-1150)
To: org.eclipse.equinox.p2.iu; org.eclipse.ui 0.0.0
Cannot satisfy dependency:
From: SWTBot for Eclipse Testing 3.0.0.202006031738 (org.eclipse.swtbot.eclipse.feature.group 3.0.0.202006031738)
To: org.eclipse.equinox.p2.iu; org.eclipse.ui 0.0.0

could you help me ?

Thanks
Re: [ANN] RAP 3.14 released [message #1832462 is a reply to message #1832454] Fri, 18 September 2020 11:58 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan FurnadjievFriend
Messages: 2426
Registered: July 2009
Location: Sofia, Bulgaria
Senior Member
Hi,

RAP E4 SDK 3.14.0.20200824-1150 is a target runtime platform and can't be installed in the IDE.

Regards,
Ivan
Re: [ANN] RAP 3.14 released [message #1832464 is a reply to message #1832462] Fri, 18 September 2020 12:12 Go to previous message
Jean-Pascal Laux is currently offline Jean-Pascal LauxFriend
Messages: 81
Registered: December 2011
Member
we are right !
I remember now when I setup Eclipse 2019-03

Nevertheless, i am not able to find a good document to install RAP e4 with the latest version of Eclipse.
Do you have one ?

Thanks
Previous Topic:FileDialog issue with http2 enabled
Next Topic:Generating test-ids for Combo dropdown list elements
Goto Forum:
  


Current Time: Fri Jun 14 05:53:20 GMT 2024

Powered by FUDForum. Page generated in 0.02866 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top